Search:

# CWIS Developers Documentation

- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# SPTOAIItemFactory Class Reference

Inheritance diagram for SPTOAIItemFactory:

[legend]
Collaboration diagram for SPTOAIItemFactory:

[legend]
List of all members.

## Public Member Functions
| SPTOAIItemFactory ($RetrievalSearchParameters=NULL)
| GetItem ($ItemId)
| GetItems ($StartingDate=NULL, $EndingDate=NULL)
| GetItemsInSet ($Set, $StartingDate=NULL, $EndingDate=NULL)
| GetListOfSets ()
| SearchForItems ($SearchParams, $StartingDate=NULL, $EndingDate=NULL)
| NormalizeForSetSpec ($Name)
| LoadSetNameInfo ()
## Public Attributes
| $SetSpecs
| $SetFields
| $SetValues
| $RetrievalSearchParameters
| $SearchScores
| $SearchScoreScale

## Detailed Description

Definition at line 261 of file SPTOAIServer.php.

## Member Function Documentation

SPTOAIItemFactory::GetItem | ( | $ | ItemId | ) |

Reimplemented from OAIItemFactory.

Definition at line 272 of file SPTOAIServer.php.

SPTOAIItemFactory::GetItems | ( | $ | StartingDate = `NULL`,
|  | $ | EndingDate = `NULL` |
| ) |  |  |

Reimplemented from OAIItemFactory.

Definition at line 304 of file SPTOAIServer.php.

References GetItemsInSet().

SPTOAIItemFactory::GetItemsInSet | ( | $ | Set,
|  | $ | StartingDate = `NULL`,
|  | $ | EndingDate = `NULL` |
| ) |  |  |

Reimplemented from OAIItemFactory.

Definition at line 309 of file SPTOAIServer.php.

References LoadSetNameInfo().

Referenced by GetItems().

Here is the caller graph for this function:

SPTOAIItemFactory::GetListOfSets | ( |  | ) |

Reimplemented from OAIItemFactory.

Definition at line 370 of file SPTOAIServer.php.

References LoadSetNameInfo().

SPTOAIItemFactory::LoadSetNameInfo | ( |  | ) |

Definition at line 457 of file SPTOAIServer.php.

References MetadataSchema::MDFTYPE_CONTROLLEDNAME, MetadataSchema::MDFTYPE_OPTION, MetadataSchema::MDFTYPE_TREE, and NormalizeForSetSpec().

Referenced by GetItemsInSet(), and GetListOfSets().

Here is the caller graph for this function:

SPTOAIItemFactory::NormalizeForSetSpec | ( | $ | Name | ) |

Definition at line 451 of file SPTOAIServer.php.

Referenced by LoadSetNameInfo().

Here is the caller graph for this function:

SPTOAIItemFactory::SearchForItems | ( | $ | SearchParams,
|  | $ | StartingDate = `NULL`,
|  | $ | EndingDate = `NULL` |
| ) |  |  |

Reimplemented from OAIItemFactory.

Definition at line 380 of file SPTOAIServer.php.

SPTOAIItemFactory::SPTOAIItemFactory | ( | $ | RetrievalSearchParameters = `NULL` | ) |

Definition at line 266 of file SPTOAIServer.php.

References $RetrievalSearchParameters.

## Member Data Documentation

SPTOAIItemFactory::$RetrievalSearchParameters

Definition at line 446 of file SPTOAIServer.php.

Referenced by SPTOAIItemFactory().

SPTOAIItemFactory::$SearchScores

Definition at line 447 of file SPTOAIServer.php.

SPTOAIItemFactory::$SearchScoreScale

Definition at line 448 of file SPTOAIServer.php.

SPTOAIItemFactory::$SetFields

Definition at line 444 of file SPTOAIServer.php.

SPTOAIItemFactory::$SetSpecs

Definition at line 443 of file SPTOAIServer.php.

SPTOAIItemFactory::$SetValues

Definition at line 445 of file SPTOAIServer.php.

The documentation for this class was generated from the following file:

- SPTOAIServer.php